gnutls_x509_crt_check_email(3)

NAME
gnutls_x509_crt_check_email - API function

SYNOPSIS
#include <gnutls/x509.h>

unsigned gnutls_x509_crt_check_email(gnutls_x509_crt_t cert, const char * email, unsigned int flags);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain an gnutls_x509_crt_t type

const char * email
    A null terminated string that contains an email address (RFC822)

unsigned int flags
    should be zero

DESCRIPTION
This function will check if the given certificate's subject matches the given email address.

RETURNS
non-zero for a successful match, and zero on failure.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/